Bug 17559 - Invalid ID of element B_streetnumber in member edit form
Summary: Invalid ID of element B_streetnumber in member edit form
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Radek Šiman (R-Bit Technology, s.r.o.)
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 10760
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-04 22:57 UTC by Radek Šiman (R-Bit Technology, s.r.o.)
Modified: 2016-12-14 11:31 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17559: Fixed HTML element ID of B_streetnumber (2.55 KB, patch)
2016-11-05 10:53 UTC, Radek Šiman (R-Bit Technology, s.r.o.)
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17559: Fixed HTML element ID of B_streetnumber (2.62 KB, patch)
2016-11-07 07:18 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17559: Fixed HTML element ID of B_streetnumber (2.67 KB, patch)
2016-11-18 10:38 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Radek Šiman (R-Bit Technology, s.r.o.) 2016-11-04 22:57:02 UTC
In the include files member-alt-address-style-*.inc there is an element with name "B_streetnumber", but its id is "B_address". The ID should be "B_streetnumber" to avoid element ambiguity.
Comment 1 Radek Šiman (R-Bit Technology, s.r.o.) 2016-11-05 10:53:42 UTC
Created attachment 57225 [details] [review]
Bug 17559: Fixed HTML element ID of B_streetnumber

There is a duplicate ID in HTML code, because of this:
<input type="text" id="B_address" name="B_streetnumber" size="5"
value="" />
<input type="text" id="B_address" name="B_address" size="40" value="" />

Test plan:
1) Edit a patron and look into its HTML code
2) Find input: name="B_streetnumber"
3) Its ID is B_address - a duplicate within the code in fact
4) Apply the patch
5) Repeat steps 1 and 2
6) The ID is unique now: B_streetnumber
Comment 2 Josef Moravec 2016-11-07 07:18:08 UTC
Created attachment 57240 [details] [review]
[SIGNED-OFF] Bug 17559: Fixed HTML element ID of B_streetnumber

There is a duplicate ID in HTML code, because of this:
<input type="text" id="B_address" name="B_streetnumber" size="5"
value="" />
<input type="text" id="B_address" name="B_address" size="40" value="" />

Test plan:
1) Edit a patron and look into its HTML code
2) Find input: name="B_streetnumber"
3) Its ID is B_address - a duplicate within the code in fact
4) Apply the patch
5) Repeat steps 1 and 2
6) The ID is unique now: B_streetnumber

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Jonathan Druart 2016-11-18 10:38:39 UTC
Created attachment 57638 [details] [review]
Bug 17559: Fixed HTML element ID of B_streetnumber

There is a duplicate ID in HTML code, because of this:
<input type="text" id="B_address" name="B_streetnumber" size="5"
value="" />
<input type="text" id="B_address" name="B_address" size="40" value="" />

Test plan:
1) Edit a patron and look into its HTML code
2) Find input: name="B_streetnumber"
3) Its ID is B_address - a duplicate within the code in fact
4) Apply the patch
5) Repeat steps 1 and 2
6) The ID is unique now: B_streetnumber

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Kyle M Hall 2016-11-18 14:16:46 UTC
Pushed to master for 16.11, thanks Radek!
Comment 5 Mason James 2016-12-14 11:31:47 UTC
Pushed to 16.05.x, for 16.05.06 release